proxies:
  - name: "Oracle-VLESS-8443"
    type: vless
    server: 129.146.203.203
    port: 8443
    uuid: a8c63e2f-5b14-4d9a-9e73-82a170b991cd
    flow: xtls-rprx-vision
    tls: true
    servername: gateway.icloud.com
    reality-opts:
      public-key: 3RJ3dk25slg0L6uqsMyrbgV9vzW9NRM2f6l6bBnZPDo
      short-id: d8eeba8f
    client-fingerprint: chrome
    udp: true
    tcp-no-delay: true
  - name: "Oracle-VLESS-8445"
    type: vless
    server: 129.146.203.203
    port: 8445
    uuid: c71a39d8-9124-4f81-a6e5-4209bf1895de
    flow: xtls-rprx-vision
    tls: true
    servername: gateway.icloud.com
    reality-opts:
      public-key: 3RJ3dk25slg0L6uqsMyrbgV9vzW9NRM2f6l6bBnZPDo
      short-id: 9f6e5ae3b4
    client-fingerprint: chrome
    udp: true
    tcp-no-delay: true
  - name: "Oracle-VLESS-8446"
    type: vless
    server: 129.146.203.203
    port: 8446
    uuid: e3a891b2-4c57-4f68-98e1-7d2a5f36e810
    flow: xtls-rprx-vision
    tls: true
    servername: gateway.icloud.com
    reality-opts:
      public-key: 3RJ3dk25slg0L6uqsMyrbgV9vzW9NRM2f6l6bBnZPDo
      short-id: 312b9fd6492582
    client-fingerprint: chrome
    udp: true
    tcp-no-delay: true
  - name: "Oracle-Hy2-UDP"
    type: hysteria2
    server: 129.146.203.203
    port: 8444
    password: 8abc63b1720e4dd37a1ff841
    sni: 129.146.203.203
    skip-cert-verify: true
    udp: true
    alpn:
      - h3
    up: 50 Mbps
    down: 200 Mbps

proxy-groups:
  - name: PROXY
    type: select
    proxies: ["Oracle-VLESS-8443", "Oracle-VLESS-8445", "Oracle-VLESS-8446", "Oracle-Hy2-UDP"]
  - name: AUTO
    type: url-test
    url: https://www.gstatic.com/generate_204
    interval: 300
    proxies: ["Oracle-VLESS-8443", "Oracle-VLESS-8445", "Oracle-VLESS-8446", "Oracle-Hy2-UDP"]

rules:
  - DOMAIN-SUFFIX,local,DIRECT
  - IP-CIDR,127.0.0.0/8,DIRECT
  - MATCH,PROXY
